﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartNegativesCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < 50; i++)
            {
                Data.Add(new SampleData()
                {
                    X = r.Next(100),
                    Y = r.Next(100)
                });
            }

            foreach (SampleData SD in Data)
            {
                SD.NegativeX = SD.X * -1;
                SD.NegativeY = SD.Y * -1;
            }
        }
    }

    public class SampleData
    {
        public int X { get; set; }
        public int Y { get; set; }
        public int NegativeY { get; set; }
        public int NegativeX { get; set; }
    }
}
